Page MenuHomeFreeBSD

sysutils/opensbi: update to v0.8
ClosedPublic

Authored by mhorne on May 2 2020, 12:29 AM.

Details

Summary

This brings some restructuring to the installation paths. Firmware
files are still stored under /usr/local/share, but with the new prefix
allowing for multiple ABIs to be installed (e.g. opensbi/lp64/qemu/virt).
Libraries have been moved to /usr/local/lib64.

A new "generic" platform has been added, which will produce firmware
binaries capable of running on several platforms. The qemu/virt and
spike platforms have been removed as a result.

Additionally, the fw_payload.[bin|elf] files will no longer be
installed. These are compiled with the test payload and therefore don't
offer much use as part of this port.

Test Plan

Builds in poudriere. Passes portlint -C.

Tested with qemu virt, qemu sifive_u, and spike.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mhorne requested review of this revision.May 2 2020, 12:29 AM
mhorne created this revision.

@lwhsu this update will likely affect CI, as the QEMU firmware file has been moved from /usr/local/share/opensbi/platform/qemu/virt/firmware/fw_jump.elf to /usr/local/share/opensbi/lp64/qemu/virt/firmware/fw_jump.elf. It looks like v0.8 will change this again, as the qemu/virt platform may be dropped in favor of a new generic platform. You might consider providing -bios default as an argument to QEMU instead, and this will use the version of OpenSBI shipped with QEMU.

philip added a comment.May 2 2020, 1:38 AM

At first glance, this looks good.

I'll test this out on my HiFive board this afternoon (UTC+8).

mhorne added a comment.May 2 2020, 1:44 AM

At first glance, this looks good.

I'll test this out on my HiFive board this afternoon (UTC+8).

Thanks. You will need r360554 or later to avoid hanging with this version.

@philip did you have a chance to test this yet? I hope to commit later this week. I will MFC the required changes for booting to stable/12 before I do.

mhorne updated this revision to Diff 73408.Jun 20 2020, 8:05 PM

Update patch for v0.8

mhorne retitled this revision from sysutils/opensbi: update to v0.7 to sysutils/opensbi: update to v0.8.Jun 20 2020, 8:06 PM
mhorne edited the summary of this revision. (Show Details)
mhorne updated this revision to Diff 73409.Jun 20 2020, 8:13 PM

Don't include fw_payload.* in pkg-plist.

mhorne edited the test plan for this revision. (Show Details)Jun 20 2020, 8:14 PM
mhorne updated this revision to Diff 73876.Jun 29 2020, 4:37 PM

Add a couple Makefile improvements from @lbartoletti.

lbartoletti accepted this revision.Jun 29 2020, 5:19 PM
This revision is now accepted and ready to land.Jun 29 2020, 5:19 PM
lbartoletti added inline comments.Jun 29 2020, 5:21 PM
sysutils/opensbi/pkg-plist
53 ↗(On Diff #73876)

Maybe replace lp64 by ${PLATFORM_RISCV_ABI} with PLIST_SUB?

This revision was automatically updated to reflect the committed changes.